#' A Swiss-army knife for data file I/O
#'
#' The aim of rio is to make data file I/O in R as easy as possible. The
#' swiss-army knife-style functions export() and import() provide painless
#' data file I/O experience.
#'
#' Exporting data
#'
#' \code{\link{export}} function writes data frame or matrix into an external data file
#' with the data file format determined from the file extension.
#'
#' Importing data
#'
#' \code{\link{import}} function reads data frame from an external data file with the data file format determined from the file extension.
#' 
#' @name rio
#' @docType package
#' @import foreign
#' @importFrom stringr str_extract str_replace
#' @import testthat
NULL
